Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.io.object
Class DataTypes

    java.lang.Object
      org.red5.io.object.DataTypes

    public class DataTypes

extends Object

The core datatypes supported by red5, I have left out undefined (this is up for debate). If a codec returns one of these datatypes its handled by the base serializer.

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard, Codegent Ltd (luke@codegent.com)

Field Summary
`static byte` | `CORE_ARRAY` Array type marker
`static byte` | `CORE_BOOLEAN` Boolean type marker
`static byte` | `CORE_BYTEARRAY` ByteArray type marker (AMF3 only)
`static byte` | `CORE_DATE` Date type marker
`static byte` | `CORE_MAP` Map type marker
`static byte` | `CORE_NULL` Null type marker
`static byte` | `CORE_NUMBER` Number type marker
`static byte` | `CORE_OBJECT` Object (Hash) type marker
`static byte` | `CORE_SKIP` Padding marker
`static byte` | `CORE_STRING` String type marker
`static byte` | `CORE_XML` XML type marker
`static byte` | `CUSTOM_AMF_MASK` Custom datatype AMF mask
`static byte` | `CUSTOM_JSON_MASK` Custom datatype JSON mask
`static byte` | `CUSTOM_MOCK_MASK` Custom datatype mock mask marker
`static byte` | `CUSTOM_RTMP_MASK` Custom datatype RTMP mask
`static byte` | `CUSTOM_XML_MASK` Custom datatype XML mask
`static byte` | `OPT_REFERENCE` Reference type, this is optional for codecs to support

Constructor Summary
`DataTypes()`

Method Summary
`static boolean` | `isBasicType(byte type)` Returns whether it is a basic data type
`static boolean` | `isComplexType(byte type)` Returns whether it is a complex data type
`static boolean` | `isCustomType(byte type)` Returns whether it is a custom data type
`static String` | `toStringValue(byte dataType)` Returns the string value of the data type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CORE_SKIP

    public static final byte CORE_SKIP

  Padding marker

  See Also:
    Constant Field Values

### CORE_NULL

    public static final byte CORE_NULL

  Null type marker

  See Also:
    Constant Field Values

### CORE_BOOLEAN

    public static final byte CORE_BOOLEAN

  Boolean type marker

  See Also:
    Constant Field Values

### CORE_NUMBER

    public static final byte CORE_NUMBER

  Number type marker

  See Also:
    Constant Field Values

### CORE_STRING

    public static final byte CORE_STRING

  String type marker

  See Also:
    Constant Field Values

### CORE_DATE

    public static final byte CORE_DATE

  Date type marker

  See Also:
    Constant Field Values

### CORE_ARRAY

    public static final byte CORE_ARRAY

  Array type marker

  See Also:
    Constant Field Values

### CORE_MAP

    public static final byte CORE_MAP

  Map type marker

  See Also:
    Constant Field Values

### CORE_XML

    public static final byte CORE_XML

  XML type marker

  See Also:
    Constant Field Values

### CORE_OBJECT

    public static final byte CORE_OBJECT

  Object (Hash) type marker

  See Also:
    Constant Field Values

### CORE_BYTEARRAY

    public static final byte CORE_BYTEARRAY

  ByteArray type marker (AMF3 only)

  See Also:
    Constant Field Values

### OPT_REFERENCE

    public static final byte OPT_REFERENCE

  Reference type, this is optional for codecs to support

  See Also:
    Constant Field Values

### CUSTOM_MOCK_MASK

    public static final byte CUSTOM_MOCK_MASK

  Custom datatype mock mask marker

  See Also:
    Constant Field Values

### CUSTOM_AMF_MASK

    public static final byte CUSTOM_AMF_MASK

  Custom datatype AMF mask

  See Also:
    Constant Field Values

### CUSTOM_RTMP_MASK

    public static final byte CUSTOM_RTMP_MASK

  Custom datatype RTMP mask

  See Also:
    Constant Field Values

### CUSTOM_JSON_MASK

    public static final byte CUSTOM_JSON_MASK

  Custom datatype JSON mask

  See Also:
    Constant Field Values

### CUSTOM_XML_MASK

    public static final byte CUSTOM_XML_MASK

  Custom datatype XML mask

  See Also:
    Constant Field Values

Constructor Detail

### DataTypes

    public DataTypes()

Method Detail

### toStringValue

    public static String toStringValue(byte dataType)

  Returns the string value of the data type

  Parameters:
    `dataType` - AS data type as byte
  Returns:
    String String value of given ActionScript data type

### isBasicType

    public static boolean isBasicType(byte type)

  Returns whether it is a basic data type

  Parameters:
    `type` - Data type as byte
  Returns:
    boolean `true` if data type is primitive, `false` otherwise

### isComplexType

    public static boolean isComplexType(byte type)

  Returns whether it is a complex data type

  Parameters:
    `type` - Data type as byte
  Returns:
    boolean `true` if data type is complex (non-primitive), `false` otherwise

### isCustomType

    public static boolean isCustomType(byte type)

  Returns whether it is a custom data type

  Parameters:
    `type` - Data type as byte
  Returns:
    boolean Whether given type is of custom type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project